> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kua.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product



## OpenAPI

````yaml weaver GET /products/{id}
openapi: 3.0.2
info:
  title: Kua.ai Weaver API
  version: '1.0'
servers:
  - url: https://api.kua.ai/weaver/api/v2
security: []
paths:
  /products/{id}:
    get:
      summary: Get Product
      operationId: GetProduct
      parameters:
        - in: path
          name: id
          required: true
          schema:
            title: Id
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CustomProduct'
                  - $ref: '#/components/schemas/AmazonProduct'
components:
  schemas:
    CustomProduct:
      properties:
        brand:
          type: string
        createdAt:
          type: integer
        description:
          type: string
        feature:
          type: string
        genre:
          allOf:
            - $ref: '#/components/schemas/ProductGenre'
          default: Custom
        id:
          type: string
        images:
          items:
            type: string
          type: array
        keywords:
          items:
            type: string
          type: array
        link:
          type: string
        mainImage:
          type: string
        specification:
          type: string
        tags:
          items:
            type: string
          type: array
        title:
          type: string
        updatedAt:
          type: integer
        videos:
          items:
            type: string
          type: array
      required:
        - id
        - title
        - brand
        - description
        - specification
        - feature
        - mainImage
        - link
        - createdAt
        - updatedAt
      type: object
    AmazonProduct:
      properties:
        asin:
          title: Asin
          type: string
        brand:
          title: Brand
          type: string
        createdAt:
          type: integer
        description:
          type: string
        feature:
          type: string
        features:
          items:
            type: string
          type: array
        genre:
          allOf:
            - $ref: '#/components/schemas/ProductGenre'
          default: Amazon
        id:
          type: string
        images:
          items:
            type: string
          type: array
        keywords:
          items:
            type: string
          type: array
        link:
          type: string
        mainImage:
          type: string
        marketplace:
          $ref: '#/components/schemas/Marketplace'
        specification:
          type: string
        tags:
          items:
            type: string
          type: array
        title:
          type: string
        updatedAt:
          type: integer
        videos:
          items:
            type: string
          type: array
      required:
        - id
        - title
        - brand
        - description
        - specification
        - feature
        - mainImage
        - link
        - createdAt
        - updatedAt
        - asin
        - marketplace
      type: object
    ProductGenre:
      enum:
        - Custom
        - Amazon
      title: ProductGenre
      type: string
    Marketplace:
      type: string
      enum:
        - AU
        - BE
        - BR
        - CA
        - CN
        - EG
        - IT
        - DE
        - FR
        - IN
        - JP
        - MX
        - NL
        - PL
        - SA
        - SG
        - ES
        - SE
        - TR
        - AE
        - US
        - UK
      title: Marketplace

````